Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Release 3.2.4 Beta CANCELLED
#1
Exclamation 
This beta is cancelled. Deferred to v3.3.0

See http://get-simple.info/forums/showthread.php?tid=5216

CLOSED


https://github.com/GetSimpleCMS/GetSimpleCMS/releases
https://github.com/GetSimpleCMS/GetSimpleCMS/issues/606

This will probably be the last feature release for 3.2

So far fixes are some long term annoyances and systemic issues.
Focus is on user experience for installations and problem resolution.

So far fixed is
  • NEW Pagecache fixes brought in from 3.3
    Massive speed optimizations, page cache should be used now everywhere possible, minimum file reads
  • NEW Dynamic classes in menu
    allows get_naviagation to accept a class prefix to avoid class contamination
  • NEW i18n fallback default language
    en_US core language strings for missing tokens, no more {}
  • FIX Emails not received
    changed default GSFROMEMAIL to noreply@sitedomain for more reliable email sending when not set in gsconfig
  • FIX Edit / Pages not using page cache
    major speed improvements on large sites
  • FIX anonymous data plugin sidemenu
    bad html tags for cancel link, new cancel sidemenu
  • FIX Install password not showing
    redirect was failing to show random password to users
  • Always show component tags
  • Fix for ckeditor edoptions global and plugins
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
#2
(2013-07-19, 02:53:45)shawn_a Wrote: https://github.com/GetSimpleCMS/GetSimpleCMS/issues/606

I have applied this change to admin/edit.php in v3.2.2, but I still have no ckeditor when the MultiUser plugin is enabled.

I have these lines in gsconfig:
Code:
define('GSEDITORTOOL',"['Bold', 'Italic', 'Underline', 'NumberedList', 'BulletedList','JustifyLeft','JustifyCenter','JustifyRight',
'JustifyBlock', 'Table', 'TextColor', 'BGColor', 'Link','Unlink', 'Image', 'RemoveFormat', 'Source'],
['Cut','Copy','Paste','PasteFromWord','-','Undo','Redo','Find','Replace','-','SelectAll','-','Styles']
");

define('GSEDITOROPTIONS', "extraPlugins : 'tableresize',
entities : false
");

It all works if I bypass the tests around lines 307-308 of admin/edit.php with:
Code:
$EDTOOL = GSEDITORTOOL;
$EDOPTIONS = GSEDITOROPTIONS;
(In this case I know I have defined them, so I don't need to check.)

Am I missing something obvious?
--
Nick.
#3
Sorry, forgot the plugin was modifying the global as well.
Fixed this time for real. It will now also sanitize the globals of commas to keep them clean before using them.

https://github.com/GetSimpleCMS/GetSimpleCMS/issues/626
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
#4
(2013-08-21, 23:45:07)shawn_a Wrote: Fixed this time for real.

Working now, thanks.
--
Nick.
#5
I guess I will release this and bump versions up to get this out, its possible other plugins are borked as well.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
#6
Changed beta to 3.2.4
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
#7
Updated my 3.2.2 installation and now I get the following two warnings and I'm unable to log into GetSimple dashboard :

Warning: array_key_exists() expects parameter 2 to be array, null given in /usr/www/users/petges/cms/admin/inc/basic.php on line 562

Warning: array_key_exists() expects parameter 2 to be array, null given in /usr/www/users/petges/cms/admin/inc/basic.php on line 567

P.S. A complete new installation has the same issue.

Any idea what went wrong ?

Regards,
Romain
#8
hmm, that looks like i18n function.
What language files do you have ?
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
#9
In the admin/lang folder I only have the en_US.php file

Romain
#10
I have nothing like this on a new install or any others.
Any plugins ?
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
#11
ahh do you have GSEDITORLANG in your gsconfig ?
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
#12
As I mentioned in my previous message, I have this also on a clean install ( no plugins, no other theme).

I only copied the extracted ZIP from the Github link on my webspace and when invoking the installer, the two warnings are already displayed. No gsconfig.php file exists at this time.

For the upgraded installation, there is no GSEDITORLANG ingsconfig.php file.

UPDATE :

Do I really have the latest version .... the installer shows 3.2.3b1 - Beta / Bleeding Edge ?
#13
yeah I didnt bump that yet.
uncomment GSEDITORLANG to fix it for now.

I moved something around and its calling i18n_r before the languages are loaded.
Ill fix it now.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
#14
Or of course you could turn off php errors on your host since its just a warning.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
#15
Uncommenting GSEDITORLANG works fine.

Thanks
#16
updated to 3.2.4b2
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
#17
I think there is a problem with the ZIP file for Beta2 .... all files are stamped 31/07 and the installer displays version 3.2.2

Romain
#18
ahh, let me check the tag i bet its on the wrong branch.

should be fixed now, sorry I was moving alot of versions around this morning.
NEW: SA Admin Toolbar Plugin | View All My Plugins
- Shawn A aka Tablatronix
#19
It works.

No need to excuse, you guys are working hard on GetSimple ... it's really appreciated.




Users browsing this thread: 1 Guest(s)
Free HDTV Channels Residential Solar Panels